Bug 127098 - Overzealous pruning of ATM headers.
Overzealous pruning of ATM headers.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-07-01 17:11 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to reinstate pruned inlines (1023 bytes, patch)
2004-07-01 17:12 EDT, David Woodhouse
no flags Details | Diff

  None (edit)
Description David Woodhouse 2004-07-01 17:11:36 EDT
Description of problem:

The linux-atm tools don't build against glibc-kernheaders. Some simple
accessor functions for the structures defined in linux/atm*.h are missing.

Either we should drop these linux/atm*.h headers altogether and force
users to provide their own, or we should leave them usable. It doesn't
make sense to provide them but break them.
Comment 1 David Woodhouse 2004-07-01 17:12:17 EDT
Created attachment 101571 [details]
Patch to reinstate pruned inlines
Comment 2 David Woodhouse 2005-01-17 13:41:05 EST
This patch, along with some other ATM-related fixes, is now committed to the
upstream libc-kernel-headers repository on savannah.nongnu.org. Please update.
Comment 6 Red Hat Bugzilla 2005-10-05 06:52:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 7 Red Hat Bugzilla 2005-10-05 08:04:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 8 Red Hat Bugzilla 2005-10-05 08:19:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html

Note You need to log in before you can comment on or make changes to this bug.